queue - Task #6679

Create ungleich game, a flask based game to show system engineering skills

05/13/2019 10:20 AM - Nico Schottelius

Status: Rejected Start date:
Priority: Normal Due date:
Assignee: % Done:
Category: Estimated time:

Target version:
PM Check date:

05/13/2019
05/31/2019
100%

0.00 hour

Description

¢ high score & intro on landing page
¢ toolchain (= tools that you will use)
o flask
o pipenv
o etcd
o REST
e Tasks
o getavm
= ipv6 only, alpine
o create a user, install pipenv, setup flask with pipenv
o get hello world running with flask

o create a CLI (= a python script) that allows a user to register == (cli = command line interface)

= ungleichgame register nico # creates the user nico
o create register page => register user (no passwords!)
o create landing page with high score in flask
e List of Challenges

Subtasks:
Task # 6685: Implement game challenges 1-6

Rejected

History

#1 - 05/13/2019 10:20 AM - Nico Schottelius
- Priority changed from Normal to High

#2 - 05/13/2019 07:26 PM - Nico Schottelius

when starting, update this ticket status, please

#5 - 05/28/2019 09:02 AM - Roland Zweifel

- Status changed from New to In Progress

#6 - 06/14/2019 02:55 PM - Roland Zweifel

- install etcd & start etcd

- read about how to use comands

- commands failed with different errors

- searching error file / no error file founded
- give right permissions - error still there

Questions:

- how looks a structure for this kind of Database?
- retry - make etcd runable

-- tutorial is good ended badly - SystemD!!!

-- need a Init File for Etcd

-- found a Init File-> more errors occurs - interessting, its shows the deeper paths
-- maybe etcd will not work proper today, but i learned much about InitV.

#7 - 06/23/2019 07:01 PM - Nico Schottelius

03/20/2024

1/2




- Project changed from 15 to queue
- Status changed from In Progress to New

- Assignee deleted (Roland Zweifel)

#8 - 11/06/2019 11:54 AM - Nico Schottelius

- Description updated

#9 - 01/03/2024 10:51 AM - Nico Schottelius

- Status changed from New to Rejected

03/20/2024
